//FurSVG.js

//var NumLine;
//var NX = 801;
//var NY = 401;

// рисование линии
function DrawLine(Name, id, x1, y1, x2, y2, col) {
	var line = document.createElementNS("http://www.w3.org/2000/svg", 'line');
	line.setAttribute('id', id);
	line.setAttribute('x1',x1);
	line.setAttribute('y1',y1);
	line.setAttribute('x2',x2);
	line.setAttribute('y2',y2);
	line.setAttribute('stroke', col);
	line.setAttribute('stroke-width', '1px');
	document.querySelector('#' + Name).append(line);
}

//вывод текста
function DrawText(Name, id, x, y, fontsz, col, val) {
	var text = document.createElementNS("http://www.w3.org/2000/svg", 'text');
	text.setAttribute('id', id);
	text.setAttribute('x',x);
	text.setAttribute('y',y);
	text.innerHTML = val;
	text.style = "font-family:FreeSerif;font-weight:normal;font-size:" + fontsz + ";fill:" + col;
	document.querySelector('#' + Name).append(text);
}

//сетка
function GrawGrid(Name, nid ) {
	var MyId = nid;
	var VCnt = 0;
	while (VCnt < 4) {
		MyId = nid + NumLine;
		DrawLine(Name, MyId, 0, NY - VCnt * 100, NX, NY - VCnt * 100, "rgb(100,100,100)" );
		NumLine++;
		VCnt++;
	}
	MyId = nid + NumLine;
	NumLine++;
	DrawLine(Name, MyId, 0, NY - VCnt * 100, NX, NY - VCnt * 100, "rgb(100,100,100)" );
	VCnt = 0;
	while (VCnt < 8) {
		MyId = nid + NumLine;
		DrawLine(Name, MyId, VCnt * (NX / 8), NY, VCnt * (NX / 8), NY - NY, "rgb(100,100,100)" );
		NumLine++;
		VCnt++;
	}
	MyId = nid + NumLine;
	DrawLine(Name, MyId, VCnt * (NX / 8), NY, VCnt * (NX / 8), NY - NY, "rgb(100,100,100)" );
}